Skip to main content
curl -X GET 'https://hermes.api.e-cross.tech/ext/parcels/MERCHANT387294640090BR' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "merchantId": "MERCHANT",
  "parcelId": "MERCHANT918340981107MX",
  "salesChannel": "ECOM",
  "salesChannelOrderId": "1234567890",
  "senderCountry": "Spain",
  "recipientCountry": "Mexico",
  "status": "DELIVERED",
  "trackingUrl": "https://tracking.e-cross.tech/track/MERCHANT918340981107MX",
  "shipmentId": "18cda980-b2cd-478d-b5fc-6b23ea3feef9",
  "grossWeight": 1.01,
  "netWeight": 1,
  "volumetricWeight": 0.2,
  "lastMileTrackingNumber": "MMX123456789E",
  "creationDate": "2025-09-25T18:07:03.703Z",
  "deliveryEstimateDate": "2025-11-05T17:59:37.925Z",
  "lastUpdateDate": "2025-10-31T18:10:40.105Z",
  "invoiceDocumentUrl": "https://example.com/invoice.pdf",
  "invoiceNumber": "0000001",
  "labels": [
    {
      "labelUrl": "https://example.com/label.pdf",
      "lineHaulService": "FREIGHT_FORWARDER",
      "trackingNumber": "MMX123456789E"
    }
  ],
  "items": [
    {
      "hsCode": "640299",
      "itemWeight": 1,
      "productId": "123P",
      "quantity": 1,
      "skuId": "123",
      "skuName": "Sku name"
    }
  ],
  "events": [
    {
      "coreStatus": {
        "buyerStep": "CREATED",
        "code": "CREATED",
        "macroStep": "SHIPMENT_CREATED"
      },
      "description": "Order created",
      "eventDate": "2025-09-25T18:07:03.703Z",
      "receivedDate": "2025-09-25T18:07:03.703Z"
    },
    {
      "coreStatus": {
        "buyerStep": "DELIVERED",
        "code": "DELIVERED",
        "macroStep": "DELIVERED"
      },
      "description": "Delivered",
      "eventDate": "2025-10-31T17:41:08.000Z",
      "receivedDate": "2025-10-31T18:10:36.930Z"
    }
  ]
}

Path Parameters

parcelId
string
required
Parcel identifier. You can retrieve this from the order using: order.statusHistory[status="READY_FOR_SHIP"].eventData.parcelId

Response Fields

merchantId
string
Identifier of the merchant.
parcelId
string
Identifier of the parcel.
salesChannel
string
Identifier of the sales channel where the order was placed.
salesChannelOrderId
string
Identifier of the order in the sales channel.
senderCountry
string
Country where the parcel was dispatched from.
recipientCountry
string
Country where the parcel will be delivered to.
status
string
Status of the parcel (macro step of the logistic route). Can be one of:
  • SHIPMENT_CREATED - Parcel has been created
  • SHIPPED - Parcel has been shipped
  • ARRIVED_DESTINATION_COUNTRY - Parcel arrived in destination country, waiting for customs clearance
  • CUSTOMS_CLEARANCE - Parcel is in customs clearance process
  • LAST_MILE - Customs clearance completed, parcel delivered to last mile provider
  • DELIVERED - Parcel was delivered to the recipient
  • SHIPMENT_CANCELED - Parcel was cancelled and won’t be delivered
trackingUrl
string
Public tracking link sent to the buyer. This URL renders a web application to display trackings.
shipmentId
string
Identifier of the shipment in which the parcel is included, if any.
grossWeight
number
Estimated weight of the parcel in kg including packaging.
netWeight
number
Estimated weight of the parcel in kg without packaging.
volumetricWeight
number
Estimated volumetric weight of the parcel in kg.
lastMileTrackingNumber
string
Tracking number of the parcel in the last mile provider.
creationDate
string
Date when the parcel was created.
deliveryEstimateDate
string
Date of the estimated delivery of the parcel.
lastUpdateDate
string
Date of the last update of the parcel.
invoiceDocumentUrl
string
URL of the commercial invoice.
invoiceNumber
string
Number of the commercial invoice.
labels
array
Array of labels associated with the parcel.
items
array
Array of items included in the parcel.
events
array
Array of logistics events associated with the parcel.